SecurityException in Application.cpp:511: Unknown Interpreter Configuration de SuPHP 0.7 attention les guillemets !

Configuration de SuPHP 0.7 attention les guillemets !

 

J’ai reçu ce message dans les logs erreur d’apache du virtualhost concerné:

SecurityException in Application.cpp:511: Unknown Interpreter: php

D’après ce que j’ai lu, dans la version 0.7 de SuPHP il faut mettre les guillemets dans certaines directives:

[handlers]
;Handler for php-scripts
x-httpd-php="php:/usr/bin/php-cgi"

;Handler for CGI-scripts
x-suphp-cgi="execute:!self"

Car dans les versions précédentes (et pas mal de tuto sur le web, c’est affiché sans les guillemets.

 

https://blog.yacoubi.fr/?post/2009/10/16/suPHP-0.7.1-SecurityException-in-Application.cpp_511

Vous aimerez aussi...

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *